Class Fox::FXFileStream

In: | FXStream.rb ../lib/fox/iterators.rb
Parent: | FXStream

File Store Definition

Methods

new open open

Public Class methods

new(cont=nil) {|theFileStream| ...}

Create file store

open(filename, save_or_load, container=nil) {|theFileStream| ...}

Construct a new FXFileStream object with the specified data flow direction (save_or_load) and container object. If an optional code block is given, it will be passed this file stream as an argument, and the file stream will automatically be closed when the block terminates. If no code block is provided, this method just returns the new file stream in an opened state.

Public Instance methods

open(filename, save_or_load)

Open the stream